Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

My installation of Windows Server 2008 already has .NET 3.5. But I need to install SP1. I downloaded the exe from:

http://www.microsoft.com/downloads/en/confirmation.aspx?familyId=ab99342f-5d1a-413d-8319-81da479ab0d7&displayLang=en

When I double click to run it, nothing happens. For a second, I see the hour glass indicating that it's attempting to do something, but after that nothing. I tried "Run as Administrator" and restarted the server with no luck.

What might be going wrong?

share|improve this question

1 Answer 1

Is this the 237 MB download dotnetfx35.exe? That was the standard 3.5-SP1 installer.

If you run MBSA, and it detects that 3.5-SP1 is recommended, use that download link. That file should be prefixed with dotnetfx35_x86. This is usually much smaller, about 53 MB.

share|improve this answer
    
What is the MBSA? Sorry for being so dense –  user25164 Mar 5 '10 at 2:38
    
Ok, I ran the MBSA and 3.5 SP1 was NOT recommended –  user25164 Mar 5 '10 at 3:30

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.